Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.struts2.interceptor
Enum DateTextFieldInterceptor.DateWord

    java.lang.Object
      java.lang.Enum<DateTextFieldInterceptor.DateWord>
          org.apache.struts2.interceptor.DateTextFieldInterceptor.DateWord

All Implemented Interfaces:
  Serializable, Comparable<DateTextFieldInterceptor.DateWord>

Enclosing class:
  DateTextFieldInterceptor

    public static enum DateTextFieldInterceptor.DateWord

extends Enum<DateTextFieldInterceptor.DateWord>

Enum Constant Summary
`d`
`H`
`m`
`M`
`s`
`S`
`y`

Method Summary
`static DateTextFieldInterceptor.DateWord` | `get(Character c)`
`static DateTextFieldInterceptor.DateWord[]` | `getAll()`
`String` | `getDateType()`
`String` | `getDescription()`
`Integer` | `getLength()`
`static DateTextFieldInterceptor.DateWord` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DateTextFieldInterceptor.DateWord[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### S

    public static final DateTextFieldInterceptor.DateWord S

### s

    public static final DateTextFieldInterceptor.DateWord s

### m

    public static final DateTextFieldInterceptor.DateWord m

### H

    public static final DateTextFieldInterceptor.DateWord H

### d

    public static final DateTextFieldInterceptor.DateWord d

### M

    public static final DateTextFieldInterceptor.DateWord M

### y

    public static final DateTextFieldInterceptor.DateWord y

Method Detail

### values

    public static DateTextFieldInterceptor.DateWord[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DateTextFieldInterceptor.DateWord c : DateTextFieldInterceptor.DateWord.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DateTextFieldInterceptor.DateWord valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getDescription

    public String getDescription()

### getLength

    public Integer getLength()

### getDateType

    public String getDateType()

### get

    public static DateTextFieldInterceptor.DateWord get(Character c)

### getAll

    public static DateTextFieldInterceptor.DateWord[] getAll()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.